
Redmine - Defect #22335

Images with non-ASCII file names are not shown in PDF

2016-03-29 07:25 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: PDF export Estimated time: 0.00 hour

Target version: 3.2.6   

Resolution: Fixed Affected version:  

Description

Images with non-ASCII file names are not shown in PDF. Please see the following image. There are two embedded image

"shrine.jpg" and "神社.jpg" in a issue description. But "神社.jpg" (an image with non-ASCII file name) are not shown in exported PDF.

 defect-description.jpg 

Associated revisions

Revision 16485 - 2017-04-05 12:53 - Toshi MARUYAMA

Gemfile: explicitly use rbpdf 1.19.1 (#22335, #24271)

Revision 16486 - 2017-04-05 13:04 - Toshi MARUYAMA

Merged r16485 from trunk to 3.3-stable (#22335, #24271)

Gemfile: explicitly use rbpdf 1.19.1.

Revision 16487 - 2017-04-05 13:05 - Toshi MARUYAMA

Merged r16485 from trunk to 3.2-stable (#22335, #24271)

Gemfile: explicitly use rbpdf 1.19.1.

Revision 16507 - 2017-04-06 19:16 - Jean-Philippe Lang

Reverts to rbpdf 1.19.0 for now.

Using rbpdf-font 1.19.1

Encoding::UndefinedConversionError: "\x81" to UTF-8 in conversion from Windows-1

252 to UTF-8

An error occurred while installing rbpdf (1.19.1), and Bundler cannot continue.

Make sure that `gem install rbpdf -v '1.19.1'` succeeds before bundling.

Revision 16512 - 2017-04-06 22:05 - Toshi MARUYAMA

Merged r16507 from trunk to 3.3-stable (#22335, #24271)

Gemfile: use rbpdf 1.19.0.

Revision 16513 - 2017-04-06 22:07 - Toshi MARUYAMA

Merged r16507 from trunk to 3.2-stable (#22335, #24271)

Gemfile: use rbpdf 1.19.0.

Revision 16520 - 2017-04-08 09:33 - Jean-Philippe Lang

Use rbpdf 1.19.2 (#22335, #24271).

Revision 16530 - 2017-04-09 10:14 - Jean-Philippe Lang

Merged r16520 (#22335, #24271).

Revision 16531 - 2017-04-09 10:15 - Jean-Philippe Lang

Merged r16520 (#22335, #24271).
History

#1 - 2016-07-14 06:32 - Kuniharu AKAHANE

- File cherryblossoms.png added

- File cherry blossoms.png added

Hi, Go Maeda.

Thanks for reporting this issue here.

I reproduced this issue on our site.

Just for your information,

Not only images with non-ASCII file names but also with ASCII file names which includes special characters are not shown in PDF.

I guess url-encoding or url-handling of file-path cause this issue. (somewhere in rbpdf ?)

Examples:

# cherryblossoms.png

!cherryblossoms.png!

# cherry blossoms.png  (include space character, not shown )

!cherry blossoms.png!

# cherry%20blossoms.png  (include space character with url encoded, shown in browser but not in PDF)

!cherry%20blossoms.png!

 Show resultsShow results

On browser

 browser_view.png 

Exported PDF

 exported_pdf.png 

 Show logs on our web-siteShow logs on our web-site

Started GET "/its/issues/196178.pdf" for <ipaddress> at 2016-07-14 14:17:42 +0900

Processing by IssuesController#show as PDF

Parameters: {"id"=>"196178"}

Current user: kakahane (id=***)

pdf: Image: error: RBPDF error: Image filename is empty.

pdf: Image: error: RBPDF error: Image filename is empty.

Rendered issues/show.pdf.erb (88.5ms)

Completed 200 OK in 106ms (Views: 88.3ms | ActiveRecord: 3.0ms)

Out-Of-Bound GC finished in 0.115697521 sec

Repoduced Environment-1Repoduced Environment-1

$ uname -a

Linux 3.10.0-327.13.1.el7.x86_64 #1 SMP Thu Mar 31 16:04:38 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux

$ cat /etc/centos-release

CentOS Linux release 7.2.1511 (Core)

Environment:

  Redmine version                3.0.7.stable

  Ruby version                   2.1.7-p400 (2015-08-18) [x86_64-linux]

  Rails version                  4.2.3

  Environment                    production

  Database adapter               Mysql2

SCM:

  Subversion                     1.8.14

  Mercurial                      2.6.2

  Git                            2.6.4

  Filesystem                     

Redmine plugins:

  clipboard_image_paste          1.10

  redmine_exception_handler      2.0.0.devel.56f6d28645

  redmine_importer               1.2.2

  redmine_plugin_views_revisions 0.0.1

  redmine_vividtone_my_page_blocks 20150614

  redmine_work_time              0.3.1

  redmine_xls_export             0.2.1.t8
  wiki_external_filter           0.0.2

Gems:

  htmlentities (4.3.1)

  passenger (4.0.59)

  rbpdf (1.18.7, 1.18.6)

  rmagick (2.13.4)

Repoduced Environment-2Repoduced Environment-2

$ uname -a

Linux 2.6.32-573.22.1.el6.x86_64 #1 SMP Wed Mar 23 03:35:39 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux

$ cat /etc/centos-release

CentOS release 6.7 (Final)

Environment:

  Redmine version                3.1.4.stable

  Ruby version                   2.2.4-p230 (2015-12-16) [x86_64-linux]

  Rails version                  4.2.5.2

  Environment                    production

  Database adapter               Mysql2

SCM:

  Subversion                     1.8.15

  Mercurial                      1.4

  Git                            1.7.1

  Filesystem                     

Redmine plugins:

  clipboard_image_paste          1.10

  redmine_exception_handler      2.0.0.devel.56f6d28645

  redmine_importer               1.2.2

  redmine_plugin_views_revisions 0.0.1

  redmine_vividtone_my_page_blocks 20150614

  redmine_work_time              0.3.1

  redmine_xls_export             0.2.1.t9

  wiki_external_filter           0.0.2

Gems:

  htmlentities (4.3.1)

  passenger (5.0.27)

  rbpdf (1.18.7)

  rmagick (2.15.4)

#2 - 2016-07-14 07:00 - Kuniharu AKAHANE

- File exported_pdf.png added

- File browser_view.png added

Opps, Add captured images.

#3 - 2017-03-30 01:15 - Jun NAITOH

This problem fixed by rbpdf 1.19.1.

please bundle update.

#4 - 2017-03-30 04:47 - Kuniharu AKAHANE

Thanks you very much for your time, naito-san.

I tried rbpdf 1.19.1 on our all redmine instanses.

The problem seems to be fixed so far.

Environment:

  Redmine version                3.3.2.stable

  Ruby version                   2.3.3-p222 (2016-11-21) [x86_64-linux]

  Rails version                  4.2.7.1

  Environment                    production

  Database adapter               Mysql2

 bundle update results:
 Using rbpdf-font 1.19.1 (was 1.19.0)

 Using rbpdf 1.19.1 (was 1.19.0)

#5 - 2017-03-30 04:54 - Go MAEDA

- File 22335-with-rfpdf-1.19.1.pdf added

- Status changed from New to Closed

- Resolution set to Fixed

I confirmed that images with a file name which contains non-ASCII and whitespace characters is rendered properly after updating to rfpdf 1.19.1 by

executing bundle update.

22335-with-rfpdf-1.19.1.pdf

Thank you for working on this, Naitoh-san. We can close this issue.

Note for those who are in trouble with this problem:

Please run the following commands on your Redmine server.

cd /path/to/redmine

bundle update

#6 - 2017-04-05 13:06 - Toshi MARUYAMA

- Target version set to 3.2.6

#7 - 2017-04-06 21:54 - Toshi MARUYAMA

- Status changed from Closed to New

- Target version changed from 3.2.6 to 3.4.0

- Resolution deleted (Fixed)

#8 - 2017-04-06 21:55 - Toshi MARUYAMA

- Blocked by Feature #25538: Drop support for Ruby 2.2.1 and ealier, 2.2.2+ is now required added

#9 - 2017-04-08 09:39 - Jean-Philippe Lang

- Target version changed from 3.4.0 to 3.2.6

#10 - 2017-04-08 09:51 - Toshi MARUYAMA

- Blocked by deleted (Feature #25538: Drop support for Ruby 2.2.1 and ealier, 2.2.2+ is now required)

#11 - 2017-04-09 10:15 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Fixed

Fixed with rbpdf 1.19.2.

Files

issue-export-sample.pdf 113 KB 2016-03-29 Go MAEDA

defect-description.jpg 70.4 KB 2016-03-29 Go MAEDA

cherryblossoms.png 36.4 KB 2016-07-14 Kuniharu AKAHANE

cherry blossoms.png 36.4 KB 2016-07-14 Kuniharu AKAHANE

exported_pdf.png 68.3 KB 2016-07-14 Kuniharu AKAHANE

browser_view.png 155 KB 2016-07-14 Kuniharu AKAHANE

22335-with-rfpdf-1.19.1.pdf 275 KB 2017-03-30 Go MAEDA
